- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Protected Member Functions | Friends | List of all members
pdftron::Layout::ContentNode Class Reference

`#include <ContentTree.h>`

Inheritance diagram for pdftron::Layout::ContentNode:

## Public Member Functions
| ~ContentNode ()
void | Destroy ()
ContentNodeIterator | GetContentNodeIterator ()
Public Member Functions inherited from pdftron::Layout::ContentElement
| ~ContentElement ()
void | Destroy ()
ElementRef< List > | AsList () const
ElementRef< ListItem > | AsListItem () const
ElementRef< ContentNode > | AsContentNode () const
ElementRef< TextRun > | AsTextRun () const
ElementRef< Paragraph > | AsParagraph () const
ElementRef< Table > | AsTable () const
ElementRef< TableRow > | AsTableRow () const
ElementRef< TableCell > | AsTableCell () const
TextStyledElement | GetTextStyledElement ()

## Protected Member Functions
| ContentNode (TRN_ContentNode impl)
Protected Member Functions inherited from pdftron::Layout::ContentElement
| ContentElement (TRN_ContentElement impl)

## Friends
class | FlowDocument
class | ElementRef< TableCell >
class | ElementRef< ContentNode >

## Additional Inherited Members
Public Attributes inherited from pdftron::Layout::ContentElement
TRN_ContentElement | m_impl

## Detailed Description

Base class for all elements in the document content tree that can contain other content elements.

Definition at line 340 of file ContentTree.h.

## Constructor & Destructor Documentation

pdftron::Layout::ContentNode::ContentNode | ( | TRN_ContentNode | impl | ) |
| protected

Create a new ContentNode object, internal use only.

pdftron::Layout::ContentNode::~ContentNode | ( |  | ) |

## Member Function Documentation

void pdftron::Layout::ContentNode::Destroy | ( |  | ) |

ContentNodeIterator pdftron::Layout::ContentNode::GetContentNodeIterator | ( |  | ) |

Retrieve a ContentNodeIterator object from the content node

The ContentNodeIterator object can be used to traverse the children of the content node.

Returns
  The ContentNodeIterator object

## Friends And Related Function Documentation

friend class ElementRef< ContentNode >
| friend

Definition at line 344 of file ContentTree.h.

friend class ElementRef< TableCell >
| friend

Definition at line 343 of file ContentTree.h.

friend class FlowDocument
| friend

Definition at line 342 of file ContentTree.h.

The documentation for this class was generated from the following file:

- Layout/ContentTree.h